爬虫过程中遇到报错:ValueError: can only parse strings

源代码如下:
import requests
import json
from requests.exceptions import RequestException
import time
from lxml import etree

def get_one_page(url):
try:
headers = {
'User-Agent': 'Mozilla/5.0(Macintosh;Intel Mac OS X 10_13_3) AppleWebKit/537.36(KHTML,like Gecko) Chorme/65.0.3325.162 Safari/537.36'
}
response = requests.get(url,headers = headers)
if response.status_code == 200:
return response.text
return None
except RequestException:
return None

def parse_one_page(html):
html_coner = etree.HTML(html)
pattern = html_coner.xpath('//div[@id="container"]/div[@id="main"/div[@class = "ywnr_box"]//a/text()')
return pattern

def write_to_file(content):
with open('results.txt','a',encoding='utf-8') as f:
f.write(json.dumps(content,ensure_ascii=False)+'\n')

def main(offset):
url = 'http://www.cdpf.org.cn/yw/index_'+str(offset)+'.shtml'
html = get_one_page(url)
for item in parse_one_page(html):
print(item)
write_to_file(item)

if name == '__main__':
for i in range(6):
main(offset=i*10)
time.sleep(1)
请问各位大佬到底是哪里出了错??

1个回答

python代码依赖缩进,你贴出来的连缩进都没有。
python给出的错误信息,同时会给出你错误的行号甚至行的内容,你也不给。
自己仔细检查下吧,有一个地方要你给字符串,你给的变量不是字符串

Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
其他相关推荐
python操作word报错ValueError: can only parse strings。
1、问题描述: 学习Python操作word文件,使用render()方法时报错ValueError: can only parse strings。 2、相关代码 ``` # _*_ encoding:utf-8 _*_ from docxtpl import DocxTemplate data_dic = { 't1':'燕子', 't2':'杨柳', 't3':'桃花', 't4':'针尖', 't5':'头涔涔', 't6':'泪潸潸', 't7':'茫茫然', 't8':'伶伶俐俐', } doc = DocxTemplate("/test/test.doc") #加载模板文件 doc.render(data_dic) #填充数据 doc.save("/test/target.doc") ``` 3、模板信息: ``` {{r t1}}去了,有再来的时候;{{r t2}}枯了,有再青的时候;{{r t3}}谢了,有再开的时候。但是,聪明的,你告诉我,我们的日子为什么一去不复返呢?——是有人偷了他们罢:那是谁?又藏在何处呢?是他们自己逃走了罢:现在又到了哪里呢? 我不知道他们给了我多少日子;但我的手确乎是渐渐空虚了。在默默里算着,八千多日子已经从我手中溜去;像{{r t4}}上一滴水滴在大海里,我的日子滴在时间的流里,没有声音,也没有影子。我不禁{{r t5}}而{{r t6}}了。 去的尽管去了,来的尽管来着;去来的中间,又怎样地匆匆呢?早上我起来的时候,小屋里射进两三方斜斜的太阳。太阳他有脚啊,轻轻悄悄地挪移了;我也{{r t7}}跟着旋转。于是——洗手的时候,日子从水盆里过去;吃饭的时候,日子从饭碗里过去;默默时,便从凝然的双眼前过去。我觉察他去的匆匆了,伸出手遮挽时,他又从遮挽着的手边过去,天黑时,我躺在床上,他便{{r t8}}地从我身上跨过,从我脚边飞去了。等我睁开眼和太阳再见,这算又溜走了一日。我掩着面叹息。但是新来的日子的影儿又开始在叹息里闪过了。 ``` 4、报错信息: ![图片说明](https://img-ask.csdn.net/upload/202001/15/1579068250_471502.png) 5、相关依赖包版本 ``` doc 0.1.0 docx 0.2.4 docxtpl 0.6.3 lxml 3.2.1 Jinja2 2.10.3 ``` 6、我尝试更换了lxml的版本发现报错信息一样。我又尝试跟踪错误,在这个文件里: ![图片说明](https://img-ask.csdn.net/upload/202001/15/1579068951_317573.png) 打印了一下text: ![图片说明](https://img-ask.csdn.net/upload/202001/15/1579068974_898727.png) 发现有一步text为None: ![图片说明](https://img-ask.csdn.net/upload/202001/15/1579069045_944104.png) 7、所以想问一下有没有大佬遇到并解决过这个问题,怎么解决这个问题。救救一下小萌新吧,还有就是val._target._blob这个变量里存的是什么数据,为什么会出现None的情况?谢谢大佬的指点! 8、追加: 问题暂时得到了解决,我在get_headers_footers_xml这个函数里添加了不为空的判断if val._target._blob != None:yield relKey, self.xml_to_string(parse_xml(val._target._blob)) 就不再报错并且成功写入到目标文件里,但是我仍然不清楚这是不是依赖包本身的BUG。如果有大佬知道的话请指点我一下。如果也有遇到这个问题的朋友,可以试一试我这个方法暂时解决一下。下面是我修改的图片: ![图片说明](https://img-ask.csdn.net/upload/202001/15/1579074850_454765.png)
关于object detection运行视频检测代码出现报错:ValueError:assignment destination is read-only
我参考博主 withzheng的博客:https://blog.csdn.net/xiaoxiao123jun/article/details/76605928 在视频物体识别的部分中,我用的是Anaconda自带的spyder(python3.6)来运行他给的视频检测代码,出现了如下报错,![图片说明](https://img-ask.csdn.net/upload/201904/20/1555752185_448895.jpg) 具体报错: Moviepy - Building video video1_out.mp4. Moviepy - Writing video video1_out.mp4 t: 7%|▋ | 7/96 [00:40<09:17, 6.26s/it, now=None]Traceback (most recent call last): File "", line 1, in runfile('C:/models-master1/research/object_detection/object_detection_tutorial (1).py', wdir='C:/models-master1/research/object_detection') File "C:\Users\Administrator\Anaconda3\lib\site-packages\spyder\utils\site\sitecustomize.py", line 710, in runfile execfile(filename, namespace) File "C:\Users\Administrator\Anaconda3\lib\site-packages\spyder\utils\site\sitecustomize.py", line 101, in execfile exec(compile(f.read(),filename,'exec'), namespace) File "C:/models-master1/research/object_detection/object_detection_tutorial (1).py", line 273, in white_clip.write_videofile(white_output, audio=False) File "", line 2, in write_videofile File "C:\Users\Administrator\Anaconda3\lib\site-packages\moviepy\decorators.py", line 54, in requires_duration return f(clip, *a, **k) File "", line 2, in write_videofile File "C:\Users\Administrator\Anaconda3\lib\site-packages\moviepy\decorators.py", line 137, in use_clip_fps_by_default return f(clip, *new_a, **new_kw) File "", line 2, in write_videofile File "C:\Users\Administrator\Anaconda3\lib\site-packages\moviepy\decorators.py", line 22, in convert_masks_to_RGB return f(clip, *a, **k) File "C:\Users\Administrator\Anaconda3\lib\site-packages\moviepy\video\VideoClip.py", line 326, in write_videofile logger=logger) File "C:\Users\Administrator\Anaconda3\lib\site-packages\moviepy\video\io\ffmpeg_writer.py", line 216, in ffmpeg_write_video fps=fps, dtype="uint8"): File "C:\Users\Administrator\Anaconda3\lib\site-packages\moviepy\Clip.py", line 475, in iter_frames frame = self.get_frame(t) File "", line 2, in get_frame File "C:\Users\Administrator\Anaconda3\lib\site-packages\moviepy\decorators.py", line 89, in wrapper return f(*new_a, **new_kw) File "C:\Users\Administrator\Anaconda3\lib\site-packages\moviepy\Clip.py", line 95, in get_frame return self.make_frame(t) File "C:\Users\Administrator\Anaconda3\lib\site-packages\moviepy\Clip.py", line 138, in newclip = self.set_make_frame(lambda t: fun(self.get_frame, t)) File "C:\Users\Administrator\Anaconda3\lib\site-packages\moviepy\video\VideoClip.py", line 511, in return self.fl(lambda gf, t: image_func(gf(t)), apply_to) File "C:/models-master1/research/object_detection/object_detection_tutorial (1).py", line 267, in process_image image_process=detect_objects(image,sess,detection_graph) File "C:/models-master1/research/object_detection/object_detection_tutorial (1).py", line 258, in detect_objects line_thickness=8) File "C:\models-master1\research\object_detection\utils\visualization_utils.py", line 743, in visualize_boxes_and_labels_on_image_array use_normalized_coordinates=use_normalized_coordinates) File "C:\models-master1\research\object_detection\utils\visualization_utils.py", line 129, in draw_bounding_box_on_image_array np.copyto(image, np.array(image_pil)) ValueError: assignment destination is read-only 想问问各位大神有遇到过类似的问题吗。。如何解决?
python调用cv2.findContours时报错:ValueError: not enough values to unpack (expected 3, got 2)
完整代码如下: ``` import cv2 import numpy as np img = np.zeros((200, 200), dtype=np.uint8) img[50:150, 50:150] = 255 ret, thresh = cv2.threshold(img, 127, 255, cv2.THRESH_BINARY) image, contours, hierarchy = cv2.findContours(thresh, cv2.RETR_TREE, cv2.CHAIN_APPROX_SIMPLE) color = cv2.cvtColor(img, cv2.COLOR_GRAY2BGR) img = cv2.drawContours(color, contours, -1, (0,255,0), 2) cv2.imshow("contours", color) cv2.waitKey() cv2.destroyAllWindows() ``` 但是cv2.findContours报如下错误: ValueError: not enough values to unpack (expected 3, got 2) python版本为3.6,opencv为4.0.0
TensorFlow报错:Shape (44, ?) must have rank at least 3 ?
用TensorFlow执行RNN,报错ValueError: Shape (44, ?) must have rank at least 3,下面是程序的部分代码,请问应该在哪里修改下?谢谢 解析函数: ``` feature = ['feature1',......,'feature44'] label = 'label2' featureNames = list(feature) featureNames.append(label) columns = [tf.FixedLenFeature(shape=[1], dtype=tf.float32) for k in featureNames] featuresDict = dict(zip(featureNames, columns)) def parse_tfrecord(example_proto): parsed_features = tf.parse_single_example(example_proto, featuresDict) labels = parsed_features.pop(label) return parsed_features, tf.cast(labels, tf.int32) ``` 输入函数(原始数据是有44个特征值的数值序列,每个序列为一样本): ``` def tfrecord_input_fn(fileName,numEpochs=None,shuffle=True,batchSize=None): #读取tfrecord数据 dataset = tf.data.TFRecordDataset(fileName, compression_type='GZIP') #执行解析函数 dataset = dataset.map(parse_tfrecord) #打乱数据 if shuffle: dataset = dataset.shuffle(buffer_size=batchSize * 100*numEpochs) #每32个样本作为一个batch dataset = dataset.batch(32) #重复数据 dataset = dataset.repeat(numEpochs) print('features:',features) print('labels:',labels) iterator = dataset.make_one_shot_iterator() features, labels = iterator.get_next() return features, labels ``` 打印返回值结果: ``` features: {'feature1': <tf.Tensor 'IteratorGetNext_21:0' shape=(?, 1) dtype=float32>, 'feature2': <tf.Tensor 'IteratorGetNext_21:1' shape=(?, 1) dtype=float32>,......, 'feature44': <tf.Tensor 'IteratorGetNext_21:43' shape=(?, 1) dtype=float32>} labels: Tensor("IteratorGetNext_21:44", shape=(?, 1), dtype=int32) ``` 执行网络后报错: ``` ValueError: Shape (44, ?) must have rank at least 3 ```
关于celery启动任务时报错Thread 'ResultHandler' crashed: ValueError('invalid file descriptor 13',)
我使用celery定时器执行任务,可启动时会出现这个错误 ``` [2019-10-22 09:13:30,334: INFO/MainProcess] Connected to redis://127.0.0.1:6379/14 [2019-10-22 09:13:30,361: INFO/MainProcess] mingle: searching for neighbors [2019-10-22 09:13:30,532: INFO/Beat] beat: Starting... [2019-10-22 09:13:31,072: ERROR/Beat] Thread 'ResultHandler' crashed: ValueError('invalid file descriptor 13',) Traceback (most recent call last): File "/pyenvs/spider/lib64/python3.6/site-packages/billiard/pool.py", line 899, in body for _ in self._process_result(1.0): # blocking File "/pyenvs/spider/lib64/python3.6/site-packages/billiard/pool.py", line 864, in _process_result ready, task = poll(timeout) File "/pyenvs/spider/lib64/python3.6/site-packages/billiard/pool.py", line 1370, in _poll_result if self._outqueue._reader.poll(timeout): File "/pyenvs/spider/lib64/python3.6/site-packages/billiard/connection.py", line 285, in poll return self._poll(timeout) File "/pyenvs/spider/lib64/python3.6/site-packages/billiard/connection.py", line 463, in _poll r = wait([self], timeout) File "/pyenvs/spider/lib64/python3.6/site-packages/billiard/connection.py", line 996, in wait return _poll(object_list, timeout) File "/pyenvs/spider/lib64/python3.6/site-packages/billiard/connection.py", line 976, in _poll raise ValueError('invalid file descriptor %i' % fd) ValueError: invalid file descriptor 13 During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/pyenvs/spider/lib64/python3.6/site-packages/billiard/pool.py", line 504, in run return self.body() File "/pyenvs/spider/lib64/python3.6/site-packages/billiard/pool.py", line 904, in body self.finish_at_shutdown() File "/pyenvs/spider/lib64/python3.6/site-packages/billiard/pool.py", line 953, in finish_at_shutdown if not outqueue._reader.poll(): File "/pyenvs/spider/lib64/python3.6/site-packages/billiard/connection.py", line 285, in poll return self._poll(timeout) File "/pyenvs/spider/lib64/python3.6/site-packages/billiard/connection.py", line 463, in _poll r = wait([self], timeout) File "/pyenvs/spider/lib64/python3.6/site-packages/billiard/connection.py", line 991, in wait return _poll(object_list, 0) File "/pyenvs/spider/lib64/python3.6/site-packages/billiard/connection.py", line 976, in _poll raise ValueError('invalid file descriptor %i' % fd) ValueError: invalid file descriptor 13 [2019-10-22 09:13:31,408: INFO/MainProcess] mingle: all alone [2019-10-22 09:13:31,423: INFO/MainProcess] celery@iZwz9h41nalpsqzz57x4tmZ ready. ``` 重启几次这个错误就不会出现,但运行一段时间后再次从定时器发布任务时还会出现该错误导致任务执行失败 ``` [2019-10-22 07:00:00,000: INFO/Beat] Scheduler: Sending due task monitoring_auto_run (run.monitoring_auto_run) [2019-10-22 07:00:00,008: INFO/MainProcess] Received task: run.monitoring_auto_run[469ee195-3e1a-4bf0-a7cb-783232e8d0bc] [2019-10-22 07:00:00,105: ERROR/ForkPoolWorker-11] Thread 'ResultHandler' crashed: ValueError('invalid file descriptor 14',) Traceback (most recent call last): File "/pyenvs/spider/lib64/python3.6/site-packages/billiard/pool.py", line 504, in run return self.body() File "/pyenvs/spider/lib64/python3.6/site-packages/billiard/pool.py", line 899, in body for _ in self._process_result(1.0): # blocking File "/pyenvs/spider/lib64/python3.6/site-packages/billiard/pool.py", line 864, in _process_result ready, task = poll(timeout) File "/pyenvs/spider/lib64/python3.6/site-packages/billiard/pool.py", line 1370, in _poll_result if self._outqueue._reader.poll(timeout): File "/pyenvs/spider/lib64/python3.6/site-packages/billiard/connection.py", line 285, in poll return self._poll(timeout) File "/pyenvs/spider/lib64/python3.6/site-packages/billiard/connection.py", line 463, in _poll r = wait([self], timeout) File "/pyenvs/spider/lib64/python3.6/site-packages/billiard/connection.py", line 996, in wait return _poll(object_list, timeout) File "/pyenvs/spider/lib64/python3.6/site-packages/billiard/connection.py", line 976, in _poll raise ValueError('invalid file descriptor %i' % fd) ValueError: invalid file descriptor 14 [2019-10-22 07:00:00,768: ERROR/MainProcess] Process 'ForkPoolWorker-11' pid:15068 exited with 'exitcode 1' [2019-10-22 07:00:11,186: ERROR/MainProcess] Task handler raised error: WorkerLostError('Worker exited prematurely: exitcode 1.',) Traceback (most recent call last): File "/pyenvs/spider/lib64/python3.6/site-packages/billiard/pool.py", line 1267, in mark_as_worker_lost human_status(exitcode)), billiard.exceptions.WorkerLostError: Worker exited prematurely: exitcode 1. ```
在Cent OS中复现已发表文章的 神经网络训练过程,报错ValueError: low >= high
``` Traceback (most recent call last): File "trainIEEE39LoadSheddingAgent.py", line 139, in <module> env.reset() File "/root/RLGC/src/py/PowerDynSimEnvDef_v3.py", line 251, in reset fault_bus_idx = np.random.randint(0, total_fault_buses)# an integer, in the range of [0, total_bus_num-1] File "mtrand.pyx", line 630, in numpy.random.mtrand.RandomState.randint File "bounded_integers.pyx", line 1228, in numpy.random.bounded_integers._rand_int64 ValueError: low >= high ``` 报错如上,为什么会这样报错?如何解决?谢谢!
CNN模型报错None values not supported,怎么解决?
深度学习小白一枚,最近在kaggle网站上看一个皮肤病数据集的代码→ [皮肤病数据集-CNN模型](https://www.kaggle.com/sid321axn/step-wise-approach-cnn-model-77-0344-accuracy "") 可是按照原网站的代码复制上去后(前面访问文件夹的代码有改动,不过不影响后面代码),用vscode运行时出现了问题 ``` history = model.fit_generator(datagen.flow(x_train,y_train, batch_size=batch_size), steps_per_epoch=x_train.shape[0] // batch_size, epochs = epochs, verbose = 1, callbacks=[learning_rate_reduction], validation_data = (x_validate,y_validate)) ``` 报错如下: ![图片说明](https://img-ask.csdn.net/upload/202002/01/1580524933_147759.png) ![图片说明](https://img-ask.csdn.net/upload/202002/01/1580525568_202234.png) ![图片说明](https://img-ask.csdn.net/upload/202002/01/1580525554_366954.png) 报错:ValueError: None values not supported. 求助,这种问题该怎么解决,源代码可以戳上方蓝字进入kaggle网站上看。
Keras报错 ‘ValueError: 'pool5' is not in list’
很长的一个project,在keras下实现VGG16。 这是报错的整个代码段: ``` for roi, roi_context in zip(rois, rois_context): ins = [im_in, dmap_in, np.array([roi]), np.array([roi_context])] print("Testing ROI {c}") subtimer.tic() blobs_out = model.predict(ins) subtimer.toc() print("Storing Results") print(layer_names) post_roi_layers = set(layer_names[layer_names.index("pool5"):]) for name, val in zip(layer_names, blobs_out): if name not in outs: outs[name] = val else: if name in post_roi_layers: outs[name] = np.concatenate([outs[name], val]) c += 1 ``` 报错信息: ``` Loading Test Data data is loaded from roidb_test_19_smol.pkl Number of Images to test: 10 Testing ROI {c} Storing Results ['cls_score', 'bbox_pred_3d'] Traceback (most recent call last): File "/Users/xijiejiao/Amodal3Det_TF/tfmodel/main.py", line 6, in <module> results = test_main.test_tf_implementation(cache_file="roidb_test_19_smol.pkl", weights_path="rgbd_det_iter_40000.h5") File "/Users/xijiejiao/Amodal3Det_TF/tfmodel/test_main.py", line 36, in test_tf_implementation results = test.test_net(tf_model, roidb) File "/Users/xijiejiao/Amodal3Det_TF/tfmodel/test.py", line 324, in test_net im_detect_3d(net, im, dmap, test['boxes'], test['boxes_3d'], test['rois_context']) File "/Users/xijiejiao/Amodal3Det_TF/tfmodel/test.py", line 200, in im_detect_3d post_roi_layers = set(layer_names[layer_names.index("pool5"):]) ValueError: 'pool5' is not in list ```
python使用pygal报错,麻烦大家看看,帮帮忙!谢谢!
python使用pygal报错:ValueError: Invalid PI name 'b'xml'' 相关代码:hist.render_to_file('1.svg') 详细错误: ![图片说明](https://img-ask.csdn.net/upload/201702/16/1487230766_324763.png) 希望大家帮帮忙!谢谢!
python错误:ValueError: No JSON object could be decoded
#-*- coding:utf-8 -*- import requests from operator import itemgetter # 执行API调用并存储响应 url = 'http://hacker-news.firebaseio.com/v0/topstories.json' r = requests.get(url) print("Status code:", r.status_code) # 处理有关每篇文章的信息 submission_ids = r.json() submission_dicts = [] for submission_id in submission_ids[:30]: # 对于每篇文章,都执行一个API调用 url = ('http://hacker-news.firebaseio.com/v0/item/' + str(submission_id) + '.json') submission_r = requesets.get(url) print(submisssion_r.status_code) reponse_dict = submission_r.json() submission_dict = { 'title': resopnse_dict['title'], 'link': 'http://news.ycombinator.com/item?id=' + str(submission_id), 'comments': response_dict.get('descendants', 0) } submission_dicts.append(submission_dict) submission_dicts = sorted(submission_dicts, key=itemgetter('comments'), recerse=Ture) for submission_dict in submission_dicts: print("/nTitle:", submission_dict['title']) print("Discussion link:", submission_dict['link']) print("Comeents", submission_dict['comments'])
在引入qgis.core时报错ValueError: PyCapsule_GetPointer called with incorrect name
Traceback (most recent call last): File "D:/pyCode/first/index.py", line 1, in <module> from qgis.core import * File "E:\QGIS\apps\qgis\python\qgis\__init__.py", line 78, in <module> import qgis.gui File "E:\QGIS\apps\qgis\python\qgis\gui\__init__.py", line 25, in <module> from qgis._gui import * ValueError: PyCapsule_GetPointer called with incorrect name
报错Traceback (most recent call last): File... .format(val=len(data), ind=len(index))) ValueError: Length of passed values is 400, index implies 1
我是个小菜鸟,在尝试写生成高斯分布的作业时被报错: ``` D:\Anaconda\python.exe "F:/All tasks in BFU/Study abroad/Internship2019.8 in Google/Homework/Course1/Exercise6/exercise6.py" Traceback (most recent call last): File "F:/All tasks in BFU/Study abroad/Internship2019.8 in Google/Homework/Course1/Exercise6/exercise6.py", line 20, in <module> y = func(x, mean, std) File "F:/All tasks in BFU/Study abroad/Internship2019.8 in Google/Homework/Course1/Exercise6/exercise6.py", line 15, in func f = math.exp(-((x - mu) ^ 2)/(2*sigma ^ 2))/(sigma * math.sqrt(2 * math.pi)) File "D:\Anaconda\lib\site-packages\pandas\core\ops.py", line 1071, in wrapper index=left.index, name=res_name, dtype=None) File "D:\Anaconda\lib\site-packages\pandas\core\ops.py", line 980, in _construct_result out = left._constructor(result, index=index, dtype=dtype) File "D:\Anaconda\lib\site-packages\pandas\core\series.py", line 262, in __init__ .format(val=len(data), ind=len(index))) ValueError: Length of passed values is 400, index implies 1 Process finished with exit code 1 ``` 我有安装anaconda,但是报错中貌似表明panda这个package的问题。请问大神大佬,我存在什么问题呀应该怎么解决⊙︿⊙,我好像没在网上找到和我一样的问题,不敢和网上的回答一样在命令提示符里输入命令怕搞错(。•́︿•̀。),是我比较菜鸟又急着所以麻烦了!! 附上我的作业代码: ``` import math import pandas as pd import numpy as np import matplotlib.pyplot as plt # import matplotlib.mlab as mlb data = pd.read_csv('example-exercise6.csv') # read file of data # data = data_['time'] mean = data.mean() # average of data std = data.std() # std def func(x, mu, sigma): f = math.exp(-((x - mu) ^ 2)/(2*sigma ^ 2))/(sigma * math.sqrt(2 * math.pi)) return f x = np.arange(60, 100, 0.1) y = func(x, mean, std) plt.plot(x, y) plt.hist(data, bins=10, rwidth=0.9, normed=True) # x = np.arange(145, 155,0.2) # y = normfun(x, mean, std) # plt.plot(x,y,'g',linewidth = 3) # plt.hist(data, bins = 6, color = 'b', alpha=0.5, rwidth = 0.9, normed=True) # plt.title('stakes distribution') # plt.xlabel('stakes time') # plt.ylabel('Probability') plt.show() ``` ( 其中csv文件是:) ``` 87 88 83 83 86 80 84 90 84 80 94 89 76 ```
如何正确地遍历列表?
例如:x=[1,2,3] y=[4,5,6] 输出(1,4),(2,5),(3,6) 用for循环会发生valueError报错 ``` Traceback (most recent call last): File "<pyshell#11>", line 1, in <module> for a,b in x,y: ValueError: too many values to unpack (expected 2) ``` 请求正确的解决方式
keras报错:All inputs to the layer should be tensors.
深度学习小白,初次使用keras构建网络,遇到问题向各位大神请教: ``` from keras.models import Sequential from keras.layers import Embedding from keras.layers import Dense, Activation from keras.layers import Concatenate from keras.layers import Add 构建了一些嵌入层_ model_store = Embedding(1115, 10) model_dow = Embedding(7, 6) model_day = Embedding(31, 10) model_month = Embedding(12, 6) model_year = Embedding(3, 2) model_promotion = Embedding(2, 1) model_state = Embedding(12, 6) 将这些嵌入层连接起来 output_embeddings = [model_store, model_dow, model_day, model_month, model_year, model_promotion, model_state] output_model = Concatenate()(output_embeddings) ``` 运行报错: --------------------------------------------------------------------------- ValueError Traceback (most recent call last) D:\python\lib\site-packages\keras\engine\base_layer.py in assert_input_compatibility(self, inputs) 278 try: --> 279 K.is_keras_tensor(x) 280 except ValueError: D:\python\lib\site-packages\keras\backend\tensorflow_backend.py in is_keras_tensor(x) 473 raise ValueError('Unexpectedly found an instance of type `' + --> 474 str(type(x)) + '`. ' 475 'Expected a symbolic tensor instance.') ValueError: Unexpectedly found an instance of type `<class 'keras.layers.embeddings.Embedding'>`. Expected a symbolic tensor instance. During handling of the above exception, another exception occurred: ValueError Traceback (most recent call last) <ipython-input-32-8e957c4150f0> in <module> ----> 1 output_model = Concatenate()(output_embeddings) D:\python\lib\site-packages\keras\engine\base_layer.py in __call__(self, inputs, **kwargs) 412 # Raise exceptions in case the input is not compatible 413 # with the input_spec specified in the layer constructor. --> 414 self.assert_input_compatibility(inputs) 415 416 # Collect input shapes to build layer. D:\python\lib\site-packages\keras\engine\base_layer.py in assert_input_compatibility(self, inputs) 283 'Received type: ' + 284 str(type(x)) + '. Full input: ' + --> 285 str(inputs) + '. All inputs to the layer ' 286 'should be tensors.') 287 ValueError: Layer concatenate_5 was called with an input that isn't a symbolic tensor. Received type: <class 'keras.layers.embeddings.Embedding'>. Full input: [<keras.layers.embeddings.Embedding object at 0x000001C82EA1EC88>, <keras.layers.embeddings.Embedding object at 0x000001C82EA1EB38>, <keras.layers.embeddings.Embedding object at 0x000001C82EA1EB00>, <keras.layers.embeddings.Embedding object at 0x000001C82E954240>, <keras.layers.embeddings.Embedding object at 0x000001C82E954198>, <keras.layers.embeddings.Embedding object at 0x000001C82E9542E8>, <keras.layers.embeddings.Embedding object at 0x000001C82E954160>]. All inputs to the layer should be tensors. 报错提示是:所有层的输入应该为张量,请问应该怎么修改呢?麻烦了!
ValueError: too many values to unpack (expected 2)
网上说是元素找不到对应的 代码如下: ``` import turtle file=open("C:/Users/jyz_1/Desktop/新建文本文档.txt") file=file.read() lines=file.split("重庆") i=0 lsy=[] for line in lines: #index the temprature inn=line.index('\n')#The first \n inc=line.index("C")#The first C if i==0: tu=int(line[line.find('\n',inn+1)+1:inc])#The second \n if "~" in line: tl=int(line[line.index('~')+1:line.rindex('C')]) else: tl=tu i=i+1 else: fn=line.find('\n',inn+1) tu=int(line[line.find('\n',fn+1)+1:inc])#The third \n if "~" in line: tl=int(line[line.index('~')+1:line.rindex('C')]) else: tl=tu t=(tl+tu)/2#daily average temprature lsy.append(t) #find the date lsx=[] dates=file.split("\n") for date in dates: if "-" in date: if date.replace("-","").isnumeric()==True: p1=date.index('-')#the first - p2=date.find('-',p1+1)#the second - month=date[p1+1:p2] day=date[p2+1:] date_on_x=int(month+day) lsx.append(date_on_x) #draw axis def drawx(): turtle.pu() turtle.goto(-50,-50) turtle.pd() turtle.fd(240) def drawy(): turtle.pu() turtle.goto(-50,-50) turtle.seth(90) turtle.pd() turtle.fd(160) #comment the axis def comx(): turtle.pu() turtle.goto(-50,-65) turtle.seth(0) for i in range(1,13): turtle.write(i) turtle.fd(20) def comy(): turtle.pu() turtle.goto(-75,-50) turtle.seth(90) for i in range(-30,51,10): turtle.write(float(i)) turtle.fd(20) #draw the rainbow def rainbow(): #define the color if t<8: turtle.color("purple") elif 8<=t<12: turtle.color("lightblue") elif 12<=t<22: turtle.color("green") elif 22<=t<28: turtle.color("yellow") elif 28<=t<30: turtle.color("orange") elif t>=30: turtle.color("red") #let's draw! for x,t in lsx,lsy: turtle.pu() turtle.goto(x,t) turtle.pd() turtle.circle(10) drawx() drawy() comx() comy() rainbow() ``` 报错: ``` Traceback (most recent call last): File "C:\Users\jyz_1\AppData\Local\Programs\Python\Python37-32\32rx.py", line 92, in <module> rainbow(t) File "C:\Users\jyz_1\AppData\Local\Programs\Python\Python37-32\32rx.py", line 83, in rainbow for x,t in lsx,lsy: ValueError: too many values to unpack (expected 2) ``` 但是我用len发现lsx,lsy长度相同 也就是说,lsx,lsy中的元素一一对应 那这个报错是怎么回事?
xgboost ValueError:特征名不匹配问题;问题背景:天池新人O2O优惠券使用预测
我在增加特征的过程中,发现训练集可以提取的特征但测试集不能提取,比如题目让你提交测试集的预测结果,即“领取优惠券后15天以内的使用情况”,但是训练集在提取特征过程中,我增加了与核销有关的特征,比如“商家优惠券被领取后核销次数”,而测试集去无法提取和训练集相同的这个特征,因为测试集只有优惠券的领取数据。我认为可能是因为不能提取一致的特征才导致训练集和测试集特征不匹配,那么我应该如何解决这个给问题? [以下为问题的具体描述] ``` ValueError: feature_names mismatch: ['Distance', 'is_manjian', 'discount_rate', 'min_cost_of_manjian', 'null_distance', 'week', 'is_weekend', 'week_0', 'week_1', 'week_2', 'week_3', 'week_4', 'week_5', 'week_6', 'simple_User_id_receive_cnt', 'simple_User_id_Coupon_id_receive_cnt', 'simple_User_id_Date_received_receive_cnt', 'simple_User_id_Coupon_id_Date_received_receive_cnt', 'simple_User_id_Coupon_id_Date_received_repeat_receive', 'simple_Merchant_id_received_cnt', 'simple_Merchant_id_hexiao_times', 'simple_Merchant_id_hexiao_rate', 'simple_Merchant_id_label_hexiao_diff_users', 'simple_Merchant_id_label_hexiao_diff_coupons'] ['Distance', 'is_manjian', 'discount_rate', 'min_cost_of_manjian', 'null_distance', 'week', 'is_weekend', 'week_0', 'week_1', 'week_2', 'week_3', 'week_4', 'week_5', 'week_6', 'simple_User_id_receive_cnt', 'simple_User_id_Coupon_id_receive_cnt', 'simple_User_id_Date_received_receive_cnt', 'simple_User_id_Coupon_id_Date_received_receive_cnt', 'simple_User_id_Coupon_id_Date_received_repeat_receive', 'simple_Merchant_id_received_cnt'] expected simple_Merchant_id_label_hexiao_diff_users, simple_Merchant_id_label_hexiao_diff_coupons, simple_Merchant_id_hexiao_rate, simple_Merchant_id_hexiao_times in input data ```
RK3288 make otapackage 报错ValueError: need more than 1 value to unpack
mkbootimg_args = (str) multistage_support = (str) 1 recovery_api_version = (int) 2 selinux_fc = (str) /tmp/targetfiles-WQjmn2/BOOT/RAMDISK/file_contexts system_size = (int) 1610612736 tool_extensions = (str) device/rockchip/rksdk update_rename_support = (str) 1 use_set_metadata = (str) 1 using device-specific extensions in device/rockchip/rksdk building image from target_files RECOVERY... running: mkbootfs -f /tmp/targetfiles-WQjmn2/META/recovery_filesystem_config.txt /tmp/targetfiles-WQjmn2/RECOVERY/RAMDISK running: minigzip running: mkbootimg --kernel /tmp/targetfiles-WQjmn2/RECOVERY/kernel --second /tmp/targetfiles-WQjmn2/RECOVERY/resource.img --ramdisk /tmp/tmpBdTCrB --output /tmp/tmpNnUZoC running: drmsigntool /tmp/tmpNnUZoC build/target/product/security/privateKey.bin src_path: /tmp/tmpNnUZoC, private_key_path: build/target/product/security/privateKey.bin can't open file build/target/product/security/privateKey.bin! no find private key, so not sign boot.img! building image from target_files BOOT... running: mkbootfs -f /tmp/targetfiles-WQjmn2/META/boot_filesystem_config.txt /tmp/targetfiles-WQjmn2/BOOT/RAMDISK running: minigzip running: mkbootimg --kernel /tmp/targetfiles-WQjmn2/BOOT/kernel --second /tmp/targetfiles-WQjmn2/BOOT/resource.img --ramdisk /tmp/tmp6LpDeb --output /tmp/tmppqQcvT running: drmsigntool /tmp/tmppqQcvT build/target/product/security/privateKey.bin src_path: /tmp/tmppqQcvT, private_key_path: build/target/product/security/privateKey.bin can't open file build/target/product/security/privateKey.bin! no find private key, so not sign boot.img! running: imgdiff -b /tmp/targetfiles-WQjmn2/SYSTEM/etc/recovery-resource.dat /tmp/tmpD07dY4 /tmp/tmpXulEpX /tmp/tmp1qudyL Traceback (most recent call last): File "./build/tools/releasetools/ota_from_target_files", line 1059, in <module> main(sys.argv[1:]) File "./build/tools/releasetools/ota_from_target_files", line 1027, in main WriteFullOTAPackage(input_zip, output_zip) File "./build/tools/releasetools/ota_from_target_files", line 502, in WriteFullOTAPackage Item.GetMetadata(input_zip) File "./build/tools/releasetools/ota_from_target_files", line 197, in GetMetadata key, value = element.split("=") ValueError: need more than 1 value to unpack make: *** [out/target/product/rk3288/rk3288-ota-eng.wake.zip] 错误 1
python 爬虫遇到问题了,这个问题怎么办
我们老师让写一个爬虫,爬东方财富每个股票的历史流动资金,我写出来后,运行程序,前面没什么问题,到后面就有问题了 代码如下:import requests import pandas import json import pymssql import re #获取股票资金流量网页的数据 def GetHtml(url): html=requests.get(url) html=html.text return html #对数据进行拆分 def CleanData(html): Str_data=html[len('jQuery1830006374794149931473_1577602052640')+1:-2] #对数据进行切割 Str_data2=json.loads(Str_data)['data'] #对无用数据进行再切分获取代码和名称 print(Str_data2['code']) code = Str_data2['code'] #股票编码 name = Str_data2['name'] #股票名称 data=[] for i in range (len(Str_data2['klines'])): data.append(Str_data2['klines'][i]) dealData(data,name,code) data.clear() Str_data2.clear() #对拆分数据进行整理 def dealData(datalist,name,code): #对列表中元素进行切片 new_datalist = ''.join(datalist) new_datalist=new_datalist.split(',') Name=name Code=code #将新列表放入数据库中 insertDatabase(new_datalist,Name,Code) new_datalist.clear() #将数据导入数据库中 def insertDatabase(datalist,Name,Code): #对新列表数据进行分类 date=datalist[0] #时间 close_price=datalist[11] #收盘价 Quote_change=datalist[12] #涨跌幅 Main_net=datalist[1] #主力净额 Main_foce=datalist[6] #主力净占比 Over_net=datalist[5] #超大单净额 Over_foce=datalist[10] #超大单净占比 Big_net=datalist[4] #大单净额 Big_foce=datalist[9] #大单净占比 Mid_net=datalist[3] #中单净额 Mid_foce=datalist[8] #中单净占比 Sm_net=datalist[2] #小单净额 Sm_foce=datalist[7] #小单净占比 data=(Name,Code,date,close_price,Quote_change,Main_net,Main_foce,Over_net,Over_foce,Big_net,Big_foce,Mid_net,Mid_foce,Sm_net,Sm_foce) sql="insert into Moneymove values (%s,%s,%s,%s,%s,%s,%s,%s,%s,%s,%s,%s,%s,%s,%s);" #建立连接 conn = pymssql.connect(host="localhost:1433", user="sa", password="123456", database="test", charset="UTF-8") cursor = conn.cursor() #插入测试数据 cursor.execute(sql , data) conn.commit() del data conn.close() #创建数据库 def Createdatabase(): conn = pymssql.connect(host="localhost:1433", user="sa", password="123456", database="test", charset="UTF-8") cursor = conn.cursor() cursor.execute(""" create table Moneymove( 股票代码 varchar(100), 股票名称 varchar(100), 时间 varchar(100) , 收盘价 varchar(100), 涨跌幅 varchar(100), 主流净额 varchar(100), 主流净占比 varchar(100), 超大单净额 varchar(100), 超大单净占比 varchar(100), 大单净额 varchar(100), 大单净占比 varchar(100), 中单净额 varchar(100), 中单净占比 varchar(100), 小单净额 varchar(100), 小单净占比 varchar(100) ) """) conn.commit() conn.close() # def NeedData(): # 建立连接并获取cursor conn = pymssql.connect(host="localhost:1433", user="sa", password="123456", database="test", charset="UTF-8") cursor = conn.cursor() # 如果连接时没有设置autocommit为True的话,必须主动调用commit() 来保存更改。 conn.commit() # 查询记录 cursor.execute('SELECT 股票代码 From SwClass$ ') # 获取一条记录 row = cursor.fetchone() code_list=[] # 循环打印记录(这里只有一条,所以只打印出一条) for i in range (3769): if row[0] != None: if str(row[0][0]) =='6': code='1.'+row[0] code_list.append(code) else: code = '0.'+row[0] code_list.append(code) row = cursor.fetchone() return code_list # 连接用完后记得关闭以释放资源 conn.close() def main(): Createdatabase() code_list=NeedData() print(code_list) for i in code_list: url='http://push2his.eastmoney.com/api/qt/stock/fflow/daykline/get?lmt=0&klt=101&secid='+ str(i)+'&fields1=f1,f2,f3,f7&fields2=f51,f52,f53,f54,f55,f56,f57,f58,f59,f60,f61,f62,f63,f64,f65&ut=b2884a393a59ad64002292a3e90d46a5&cb=jQuery1830006374794149931473_1577602052640&_=1577602052949' html=GetHtml(url) CleanData(html) main() 出现的问题是这个: Traceback (most recent call last): File "C:/Users/VULCAN/Desktop/爬虫实习/3.py", line 135, in <module> main() File "C:/Users/VULCAN/Desktop/爬虫实习/3.py", line 134, in main CleanData(html) File "C:/Users/VULCAN/Desktop/爬虫实习/3.py", line 25, in CleanData dealData(data,name,code) File "C:/Users/VULCAN/Desktop/爬虫实习/3.py", line 39, in dealData insertDatabase(new_datalist,Name,Code) File "C:/Users/VULCAN/Desktop/爬虫实习/3.py", line 65, in insertDatabase conn = pymssql.connect(host="localhost:1433", user="sa", password="123456", database="test", charset="UTF-8") File "src\pymssql.pyx", line 636, in pymssql.connect File "src\_mssql.pyx", line 1957, in _mssql.connect File "src\_mssql.pyx", line 675, in _mssql.MSSQLConnection.__init__ ValueError: list.remove(x): x not in list 请问各位大佬,这要如何解决?
这爬虫怎么了?为什么老是报错?
``` import urllib.request from bs4 import BeautifulSoup while True: web_road=input("输入网络的网址:") response=urllib.request.urlopen(str(web_road)) html=response.read() soup=BeautifulSoup(html,features="html.parser") print("以下是处理后的源码") print(soup) ``` ``` response=urllib.request.urlopen(str(web_road)) ``` 总是说:ValueError: unknown url type: 'www.baidu.com' 这是什么意思?如何解决,求大神帮忙!感谢!
130 个相见恨晚的超实用网站,一次性分享出来
相见恨晚的超实用网站 持续更新中。。。
我花了一夜用数据结构给女朋友写个H5走迷宫游戏
起因 又到深夜了,我按照以往在csdn和公众号写着数据结构!这占用了我大量的时间!我的超越妹妹严重缺乏陪伴而 怨气满满! 而女朋友时常埋怨,认为数据结构这么抽象难懂的东西没啥作用,常会问道:天天写这玩意,有啥作用。而我答道:能干事情多了,比如写个迷宫小游戏啥的! 当我码完字准备睡觉时:写不好别睡觉! 分析 如果用数据结构与算法造出东西来呢? ...
对计算机专业来说学历真的重要吗?
我本科学校是渣渣二本,研究生学校是985,现在毕业五年,校招笔试、面试,社招面试参加了两年了,就我个人的经历来说下这个问题。 这篇文章很长,但绝对是精华,相信我,读完以后,你会知道学历不好的解决方案,记得帮我点赞哦。 先说结论,无论赞不赞同,它本质就是这样:对于技术类工作而言,学历五年以内非常重要,但有办法弥补。五年以后,不重要。 目录: 张雪峰讲述的事实 我看到的事实 为什么会这样 ...
字节跳动视频编解码面经
三四月份投了字节跳动的实习(图形图像岗位),然后hr打电话过来问了一下会不会opengl,c++,shador,当时只会一点c++,其他两个都不会,也就直接被拒了。 七月初内推了字节跳动的提前批,因为内推没有具体的岗位,hr又打电话问要不要考虑一下图形图像岗,我说实习投过这个岗位不合适,不会opengl和shador,然后hr就说秋招更看重基础。我当时想着能进去就不错了,管他哪个岗呢,就同意了面试...
win10系统安装教程(U盘PE+UEFI安装)
一、准备工作 u盘,电脑一台,win10原版镜像(msdn官网) 二、下载wepe工具箱 极力推荐微pe(微pe官方下载) 下载64位的win10 pe,使用工具箱制作启动U盘打开软件, 选择安装到U盘(按照操作无需更改) 三、重启进入pe系统 1、关机后,将U盘插入电脑 2、按下电源后,按住F12进入启动项选择(技嘉主板是F12) 选择需要启...
程序员必须掌握的核心算法有哪些?
由于我之前一直强调数据结构以及算法学习的重要性,所以就有一些读者经常问我,数据结构与算法应该要学习到哪个程度呢?,说实话,这个问题我不知道要怎么回答你,主要取决于你想学习到哪些程度,不过针对这个问题,我稍微总结一下我学过的算法知识点,以及我觉得值得学习的算法。这些算法与数据结构的学习大多数是零散的,并没有一本把他们全部覆盖的书籍。下面是我觉得值得学习的一些算法以及数据结构,当然,我也会整理一些看过...
Python——画一棵漂亮的樱花树(不同种樱花+玫瑰+圣诞树喔)
最近翻到一篇知乎,上面有不少用Python(大多是turtle库)绘制的树图,感觉很漂亮,我整理了一下,挑了一些我觉得不错的代码分享给大家(这些我都测试过,确实可以生成) one 樱花树 动态生成樱花 效果图(这个是动态的): 实现代码 import turtle as T import random import time # 画樱花的躯干(60,t) def Tree(branch, ...
大学四年自学走来,这些私藏的实用工具/学习网站我贡献出来了
大学四年,看课本是不可能一直看课本的了,对于学习,特别是自学,善于搜索网上的一些资源来辅助,还是非常有必要的,下面我就把这几年私藏的各种资源,网站贡献出来给你们。主要有:电子书搜索、实用工具、在线视频学习网站、非视频学习网站、软件下载、面试/求职必备网站。 注意:文中提到的所有资源,文末我都给你整理好了,你们只管拿去,如果觉得不错,转发、分享就是最大的支持了。 一、电子书搜索 对于大部分程序员...
《奇巧淫技》系列-python!!每天早上八点自动发送天气预报邮件到QQ邮箱
将代码部署服务器,每日早上定时获取到天气数据,并发送到邮箱。 也可以说是一个小人工智障。 思路可以运用在不同地方,主要介绍的是思路。
致 Python 初学者
欢迎来到“Python进阶”专栏!来到这里的每一位同学,应该大致上学习了很多 Python 的基础知识,正在努力成长的过程中。在此期间,一定遇到了很多的困惑,对未来的学习方向感到迷茫。我非常理解你们所面临的处境。我从2007年开始接触 python 这门编程语言,从2009年开始单一使用 python 应对所有的开发工作,直至今天。回顾自己的学习过程,也曾经遇到过无数的困难,也曾经迷茫过、困惑过。开办这个专栏,正是为了帮助像我当年一样困惑的 Python 初学者走出困境、快速成长。希望我的经验能真正帮到你
Ol4网格生成以及优化
概述 先描述一下大致场景:以0.05为单元格大小生成网格,并在地图上绘制,绘制的时候需要区分海陆。本文以此需求为契机,简单描述一下该需求的实现以及如何来优化。 效果 实现 优化前 var source = new ol.source.Vector({ features: [] }); var vector = new ol.layer.Vector({ source...
11月19日科技资讯|华为明日发布鸿蒙整体战略;京东宣告全面向技术转型;Kotlin 1.3.60 发布
「极客头条」—— 技术人员的新闻圈! CSDN 的读者朋友们早上好哇,「极客头条」来啦,快来看今天都有哪些值得我们技术人关注的重要新闻吧。扫描上方二维码进入 CSDN App 可以收听御姐萌妹 Style 的人工版音频哟。 一分钟速览新闻点! 6G 专家组成员:速率是 5G 的 10 至 100 倍,预计 2030 年商用 雷军:很多人多次劝我放弃WPS,能坚持下来并不是纯粹的商业决定 ...
C语言魔塔游戏
很早就很想写这个,今天终于写完了。 游戏截图: 编译环境: VS2017 游戏需要一些图片,如果有想要的或者对游戏有什么看法的可以加我的QQ 2985486630 讨论,如果暂时没有回应,可以在博客下方留言,到时候我会看到。 下面我来介绍一下游戏的主要功能和实现方式 首先是玩家的定义,使用结构体,这个名字是可以自己改变的 struct gamerole { char n...
iOS Bug 太多,苹果终于坐不住了!
开源的 Android 和闭源的 iOS,作为用户的你,更偏向哪一个呢? 整理 | 屠敏 出品 | CSDN(ID:CSDNnews) 毋庸置疑,当前移动设备操作系统市场中,Android 和 iOS 作为两大阵营,在相互竞争的同时不断演进。不过一直以来,开源的 Android 吸引了无数的手机厂商涌入其中,为其生态带来了百花齐放的盛景,但和神秘且闭源的 iOS 系统相比,不少网友...
Python语言高频重点汇总
Python语言高频重点汇总 GitHub面试宝典仓库 回到首页 目录: Python语言高频重点汇总 目录: 1. 函数-传参 2. 元类 3. @staticmethod和@classmethod两个装饰器 4. 类属性和实例属性 5. Python的自省 6. 列表、集合、字典推导式 7. Python中单下划线和双下划线 8. 格式化字符串中的%和format 9. 迭代器和生成器 10...
究竟你适不适合买Mac?
我清晰的记得,刚买的macbook pro回到家,开机后第一件事情,就是上了淘宝网,花了500元钱,找了一个上门维修电脑的师傅,上门给我装了一个windows系统。。。。。。 表砍我。。。 当时买mac的初衷,只是想要个固态硬盘的笔记本,用来运行一些复杂的扑克软件。而看了当时所有的SSD笔记本后,最终决定,还是买个好(xiong)看(da)的。 已经有好几个朋友问我mba怎么样了,所以今天尽量客观...
Python爬虫爬取淘宝,京东商品信息
小编是一个理科生,不善长说一些废话。简单介绍下原理然后直接上代码。 使用的工具(Python+pycharm2019.3+selenium+xpath+chromedriver)其中要使用pycharm也可以私聊我selenium是一个框架可以通过pip下载 pip installselenium -ihttps://pypi.tuna.tsinghua.edu.cn/simple/ ...
程序员写了一个新手都写不出的低级bug,被骂惨了。
这种新手都不会范的错,居然被一个工作好几年的小伙子写出来,差点被当场开除了。
Java工作4年来应聘要16K最后没要,细节如下。。。
前奏: 今天2B哥和大家分享一位前几天面试的一位应聘者,工作4年26岁,统招本科。 以下就是他的简历和面试情况。 基本情况: 专业技能: 1、&nbsp;熟悉Sping了解SpringMVC、SpringBoot、Mybatis等框架、了解SpringCloud微服务 2、&nbsp;熟悉常用项目管理工具:SVN、GIT、MAVEN、Jenkins 3、&nbsp;熟悉Nginx、tomca...
2020年,冯唐49岁:我给20、30岁IT职场年轻人的建议
点击“技术领导力”关注∆每天早上8:30推送 作者|Mr.K 编辑| Emma 来源|技术领导力(ID:jishulingdaoli) 前天的推文《冯唐:职场人35岁以后,方法论比经验重要》,收到了不少读者的反馈,觉得挺受启发。其实,冯唐写了不少关于职场方面的文章,都挺不错的。可惜大家只记住了“春风十里不如你”、“如何避免成为油腻腻的中年人”等不那么正经的文章。 本文整理了冯...
程序员该看的几部电影
1、骇客帝国(1999) 概念:在线/离线,递归,循环,矩阵等 剧情简介: 不久的将来,网络黑客尼奥对这个看似正常的现实世界产生了怀疑。 他结识了黑客崔妮蒂,并见到了黑客组织的首领墨菲斯。 墨菲斯告诉他,现实世界其实是由一个名叫“母体”的计算机人工智能系统控制,人们就像他们饲养的动物,没有自由和思想,而尼奥就是能够拯救人类的救世主。 可是,救赎之路从来都不会一帆风顺,到底哪里才是真实的世界?如何...
蓝桥杯知识点汇总:基础知识和常用算法
文章目录基础语法部分:算法竞赛常用API:算法部分数据结构部分 此系列包含蓝桥杯绝大部分所考察的知识点,以及真题题解~ 基础语法部分: 备战蓝桥杯java(一):一般输入输出 和 快速输入输(BufferedReader&amp;BufferedWrite) 备战蓝桥杯java(二):java编程规范和常用数据类型 备战蓝桥杯java(三):常用功能符以及循环结构和分支结构 备战蓝桥杯java(四...
作为一个程序员,CPU的这些硬核知识你必须会!
CPU对每个程序员来说,是个既熟悉又陌生的东西? 如果你只知道CPU是中央处理器的话,那可能对你并没有什么用,那么作为程序员的我们,必须要搞懂的就是CPU这家伙是如何运行的,尤其要搞懂它里面的寄存器是怎么一回事,因为这将让你从底层明白程序的运行机制。 随我一起,来好好认识下CPU这货吧 把CPU掰开来看 对于CPU来说,我们首先就要搞明白它是怎么回事,也就是它的内部构造,当然,CPU那么牛的一个东...
@程序员,如何花式构建线程?
作者 |曾建责编 | 郭芮出品 | CSDN(ID:CSDNnews)在项目和业务的开发中,我们难免要经常使用线程来进行业务处理,使用线程可以保证我们的业务在相互处理之间可以保证原子性...
破14亿,Python分析我国存在哪些人口危机!
一、背景 二、爬取数据 三、数据分析 1、总人口 2、男女人口比例 3、人口城镇化 4、人口增长率 5、人口老化(抚养比) 6、各省人口 7、世界人口 四、遇到的问题 遇到的问题 1、数据分页,需要获取从1949-2018年数据,观察到有近20年参数:LAST20,由此推测获取近70年的参数可设置为:LAST70 2、2019年数据没有放上去,可以手动添加上去 3、将数据进行 行列转换 4、列名...
实现简单的轮播图(单张图片、多张图片)
前言 刚学js没多久,这篇博客就当做记录了,以后还会完善的,希望大佬们多多指点。ps:下面出现的都是直接闪动,没有滑动效果的轮播图。 单张图片的替换 · ...
强烈推荐10本程序员在家读的书
很遗憾,这个春节注定是刻骨铭心的,新型冠状病毒让每个人的神经都是紧绷的。那些处在武汉的白衣天使们,尤其值得我们的尊敬。而我们这些窝在家里的程序员,能不外出就不外出,就是对社会做出的最大的贡献。 有些读者私下问我,窝了几天,有点颓丧,能否推荐几本书在家里看看。我花了一天的时间,挑选了 10 本我最喜欢的书,你可以挑选感兴趣的来读一读。读书不仅可以平复恐惧的压力,还可以对未来充满希望,毕竟苦难终将会...
Linux自学篇——linux命令英文全称及解释
man: Manual 意思是手册,可以用这个命令查询其他命令的用法。 pwd:Print working directory 意思是密码。 su:Swith user 切换用户,切换到root用户 cd:Change directory 切换目录 ls:List files 列出目录下的文件 ps:Process Status 进程状态 mkdir:Make directory ...
Python实战:抓肺炎疫情实时数据,画2019-nCoV疫情地图
今天,群里白垩老师问如何用python画武汉肺炎疫情地图。白垩老师是研究海洋生态与地球生物的学者,国家重点实验室成员,于不惑之年学习python,实为我等学习楷模。先前我并没有关注武汉肺炎的具体数据,也没有画过类似的数据分布图。于是就拿了两个小时,专门研究了一下,遂成此文。
疫情数据接口api
返回json示例 { "errcode":0,//0标识接口正常 "data":{ "date":"2020-01-30 07:47:23",//实时更新时间 "diagnosed":7736,//确诊人数 "suspect":12167,//疑是病例人数 "death":170,//死亡人数 "cur...
相关热词 c#导入fbx c#中屏蔽键盘某个键 c#正态概率密度 c#和数据库登陆界面设计 c# 高斯消去法 c# codedom c#读取cad文件文本 c# 控制全局鼠标移动 c# temp 目录 bytes初始化 c#
立即提问